#!/bin/sh
# Copyright (c) 2020 Synology Inc. All rights reserved.

PACKAGE_NAME="SafeAccess"
PACKAGE_TARGET_DIR="/var/packages/${PACKAGE_NAME}/target"
PACKAGE_BIN_DIR="${PACKAGE_TARGET_DIR}/bin"
DNSFILTER_IPTABLES_SH="${PACKAGE_TARGET_DIR}/scripts/dnsfilter-iptables.sh"

restore()
{
    # stop_process
    stop synosafeaccessfilterd
	PACKAGE_NAME=${PACKAGE_NAME} ${PACKAGE_BIN_DIR}/synoac_init.sh --stop

    # uninstall_safe_browsing
	${PACKAGE_BIN_DIR}/safe_browsing_client --remove-crontab
	${PACKAGE_BIN_DIR}/safe_browsing_client --clear-access-anyway

    # uninstall_ipblock
    ${PACKAGE_BIN_DIR}/synoipblock --general --stop

    # uninstall_access_control
	PACKAGE_NAME=${PACKAGE_NAME} ${PACKAGE_BIN_DIR}/synoac_init.sh --uninstall

    # uninstall_access_log
    ${PACKAGE_BIN_DIR}/synosafeaccesslog --remove-crontab-clear

    # install_safe_browsing
    ${PACKAGE_BIN_DIR}/safe_browsing_client --crontab

    # install_ipblock
	${PACKAGE_BIN_DIR}/synoipblock --general --start

    # install_access_control
    PACKAGE_NAME=${PACKAGE_NAME} ${PACKAGE_BIN_DIR}/synoac_init.sh --install

    # install_block_page
    ${DNSFILTER_IPTABLES_SH} start

    # install_access_log
	${PACKAGE_BIN_DIR}/synosafeaccesslog --init
	${PACKAGE_BIN_DIR}/synosafeaccesslog --add-crontab-clear

    # start_process
    PACKAGE_NAME=${PACKAGE_NAME} ${PACKAGE_BIN_DIR}/synoac_init.sh --start
	start synosafeaccessfilterd
}

restore